2 Replies Latest reply on Sep 22, 2013 6:39 PM by pwillener

    I want to install abobe flash player to my mc version 10.5.8 and it won't do it

    tuffsy38

      I want to install abobe flash player to my mac version 10.5.8 and it won't do it. I know its an older mac, but it just wont download the software.